Summary: The client and server programs for the telnet remote login protocol.
Name: telnet
Version: 0.17
Release: 1
Copyright: BSD
Group: Applications/Internet
Source0: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-telnet-%{version}.tar.gz
Source1: telnet.wmconfig
Source2: telnet-client.tar.gz
Patch0: telnet-0.16-ncurses.patch
Patch1: telnet-0.17-netobuf.patch
Requires: inetd
Serial: 2001082201
Buildroot: /var/tmp/%{name}-root


Summary(ja): telnet(֥ץȥ)Υ饤&Хץ

%description
Telnet is a popular protocol for logging into remote systems over
the Internet.  The telnet package provides a command line telnet client
as well as a telnet daemon, which will support remote logins into the
host machine.  The telnet daemon is enabled by default.  You may
disable the telnet daemon by editing /etc/inetd.conf.

Install the telnet package if you want to telnet to remote machines
and/or support remote logins to your own machine.

%description -l ja
telnet ϥ󥿡ͥåȤ𤷤⡼ȥƥ˥󤹤뤿ΰŪʥ
ȥǤtelnet ѥåˤϥޥɤȤƤ telnet 饤Ȥ
ۥȥޥ˥⡼ȥ󤹤뤿 telnet ǡ󤬴ޤޤޤtelnet 
ǡϥǥեȤǤͭˤƤޤ/etc/inetd.conf 뤳Ȥ̵
ˤ뤳ȤǤޤ

⡼ȥޥ telnet /ޤϼʬΥޥǥ⡼ȥ
ݡȤ telnet ѥå򥤥󥹥ȡ뤷Ƥ


%changelog
* Wed Aug 22 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- New upstream version and fixed netobuf buffer overflows.

* Mon Apr 24 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added ncurses patch.

* Thu Mar 09 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Up to 0.16.0 .

* Wed Feb 2 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified to compile with gcc.

* Thu Feb 2 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- Changed -ltermcap to -lncurses

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- don't trust random TERM variables in telnetd (#4560)

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- fix (#3098).

* Thu May 27 1999 Antti Andreimann <Antti.Andreimann@mail.ee>
- fixed the problem with escape character (it could not be disabled)
- changed the spec file to use %setup macro for unpacking telnet-client

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- use glibc utmp routines.

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix the fix (wrong way memcpy).

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- fix "telnet localhost" bus error on sparc64 (alpha?).

* Tue Apr  6 1999 Jeff Johnson <jbj@redhat.com>
- use OpenBSD telnet client (and fix minor core dump with .telnetrc #247)

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- use openpty in telnetd

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 24 1998 Cristian Gafton <gafton@redhat.com>
- compile C++ code using egcs

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build


%prep
%setup -q -n netkit-telnet-%{version}

mv telnet telnet-NETKIT
%setup -T -D -q -a 2 -n netkit-telnet-%{version}
%patch0 -p1 -b .ncueses
%patch1 -p1 -b .netobuf

%build
sh configure
perl -pi -e 's,-O2,\$(RPM_OPT_FLAGS),' MCONFIG
make RPM_OPT_FLAGS="$(RPM_OPT_FLAGS)" DEFS="-DUSE_NCURSES"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make INSTALLROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m644 $RPM_SOURCE_DIR/telnet.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/telnet

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(missingok) /etc/X11/wmconfig/telnet
/usr/bin/telnet
/usr/man/man1/telnet.1
/usr/sbin/in.telnetd
/usr/man/man5/issue.net.5
/usr/man/man8/in.telnetd.8
/usr/man/man8/telnetd.8

